Skip to main content
POST
/
api
/
projects
/
{projectId}
/
documents
/
{documentId}
/
versions
/
restore
Restore document version
curl --request POST \
  --url https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/restore \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/restore"

payload = { "versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({versionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.example.com/api/projects/{projectId}/documents/{documentId}/versions/restore', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "path": "<string>",
  "name": "<string>",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "meta": {},
  "contentType": "<string>",
  "size": 123,
  "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publishedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "publishedAt": "<string>",
  "publishedBy": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "published": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "content": "<unknown>",
    "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "firstName": "<string>",
      "lastName": "<string>"
    },
    "createdAt": "<string>",
    "versions": [
      "<unknown>"
    ],
    "releases": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "version": "<string>"
      }
    ]
  },
  "versions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "content": "<unknown>",
      "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "createdAt": "<string>",
      "versions": [
        "<unknown>"
      ],
      "releases": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "version": "<string>"
        }
      ]
    }
  ],
  "changeRequests": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "status": "<string>",
      "createdAt": "<string>"
    }
  ],
  "view": {
    "description": "<string>",
    "permissions": {}
  },
  "updatedAt": "<string>",
  "deletedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

documentId
string<uuid>
required

Document unique identifier

projectId
string<uuid>
required

Project unique identifier

Body

application/json
versionId
string<uuid>
required

Version ID to restore from

Response

200 - application/json

Document with restored version

Document with restored version

id
string<uuid>
required

Document unique identifier

key
string
required

Materialized lowercase path based on the name

path
string
required

Materialized path based on the name

name
string
required

Document name

type
enum<string>
required

Document type (file, directory, or external file)

Available options:
f,
d,
e
projectId
string<uuid>
required

Project ID

meta
object

Document metadata

contentType
string

Content MIME type

size
number

Document size in bytes

parentId
string<uuid> | null

Parent document ID

publishedId
string<uuid> | null

Currently published version ID

publishedAt
string | null

Publication timestamp

publishedBy
object

User who published the document

published
object

Published version details

versions
object[]

Document versions

changeRequests
object[]

Pending change requests

view
object | null

Document view configuration

updatedAt
string

Last update timestamp

deletedAt
string | null

Deletion timestamp if soft deleted